Page MenuHomeFreeBSD

Update wpa_supplicant/hostapd for 2017-01 vulnerability release.
ClosedPublic

Authored by gordon on Oct 17 2017, 6:04 AM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

gordon created this revision.Oct 17 2017, 6:04 AM
emaste added a subscriber: emaste.Oct 17 2017, 1:15 PM

I believe this is the expected set of patches. I noticed one minor difference between the Debian patch set I inspected and this (tk_to_set vs tk_already_set) which is probably due to targeting different versions?

I believe this is the expected set of patches. I noticed one minor difference between the Debian patch set I inspected and this (tk_to_set vs tk_already_set) which is probably due to targeting different versions?

Reviewing https://w1.fi/security/2017-1/0001-hostapd-Avoid-key-reinstallation-in-FT-handshake.patch, I believe this is source material for using the tk_already_set nomenclature.

This revision was automatically updated to reflect the committed changes.